lookup
lookup the document(s) associated with a processId, bucketId, or groupId.
Authentication
X-API-Keystring
API Key authentication via header
Path parameters
id
a processId, bucketId, or groupId
Query parameters
n
The maximum number of returned documents. Accepts 1-100 with a default of 20.
filter
Return only documents whose names contain this string.
sort
The document attribute that will be used to sort the results.
Allowed values:
sortOrder
Sort order. Requires sort.
Allowed values:
status
Return only documents with this status.
nextToken
Pass nextToken from the previous response to get the next page of up to n documents.
Response
Lookup successful
count
The number of results returned in the current response
documents
nextToken
remaining
Number of results not yet returned, or null if none remain.
total
The total number of results found
Errors
400
Bad Request Error
401
Unauthorized Error

